org.h2.expression.function

## Class TruncateValueFunction

- java.lang.Object
- - org.h2.expression.Expression
  - - org.h2.expression.OperationN
    - - org.h2.expression.function.FunctionN
      - - org.h2.expression.function.TruncateValueFunction

All Implemented Interfaces:
  ExpressionWithVariableParameters, NamedExpression, HasSQL, Typed

    public final class TruncateValueFunction
    extends FunctionN

A TRUNCATE_VALUE function.

### Field Summary

### Fields inherited from class org.h2.expression.OperationN

`args, argsCount, type`

### Fields inherited from class org.h2.expression.Expression

`AUTO_PARENTHESES, MAP_IN_AGGREGATE, MAP_IN_WINDOW, MAP_INITIAL, WITH_PARENTHESES, WITHOUT_PARENTHESES`

### Fields inherited from interface org.h2.util.HasSQL

`ADD_PLAN_INFORMATION, DEFAULT_SQL_FLAGS, NO_CASTS, QUOTE_ONLY_WHEN_REQUIRED, REPLACE_LOBS_FOR_TRACE, TRACE_SQL_FLAGS`

### Constructor Summary

Constructors
Constructor and Description
`TruncateValueFunction(Expression arg1, Expression arg2, Expression arg3)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()` Get the name.
`Value` `getValue(SessionLocal session, Value v1, Value v2, Value v3)` Returns the value of this function.
`Expression` `optimize(SessionLocal session)` Try to optimize the expression.

### Methods inherited from class org.h2.expression.function.FunctionN

`getUnenclosedSQL, getValue`

### Methods inherited from class org.h2.expression.OperationN

`addParameter, doneWithParameters, getCost, getSubexpression, getSubexpressionCount, getType, isEverything, mapColumns, optimizeArguments, setEvaluatable, updateAggregate`

### Methods inherited from class org.h2.expression.Expression

`addFilterConditions, createIndexConditions, getAlias, getBooleanValue, getColumnName, getColumnNameForView, getEnclosedSQL, getNonAliasExpression, getNotIfPossible, getNullable, getSchemaName, getSQL, getSQL, getSQL, getSQL, getTableAlias, getTableName, getWhenSQL, getWhenValue, isConstant, isIdentity, isNullConstant, isValueSet, isWhenConditionOperand, needParentheses, optimizeCondition, toString, writeExpressions, writeExpressions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.h2.util.HasSQL

`getTraceSQL`

### Constructor Detail

#### TruncateValueFunction

    public TruncateValueFunction(Expression arg1,
                                 Expression arg2,
                                 Expression arg3)

### Method Detail

#### getValue

    public Value getValue(SessionLocal session,
                          Value v1,
                          Value v2,
                          Value v3)

Description copied from class: `FunctionN`
Returns the value of this function.

Overrides:
  `getValue` in class `FunctionN`
Parameters:
  `session` - the session
  `v1` - the value of first argument, or `null`
  `v2` - the value of second argument, or `null`
  `v3` - the value of third argument, or `null`
Returns:
  the resulting value

#### optimize

    public Expression optimize(SessionLocal session)

Description copied from class: `Expression`
Try to optimize the expression.

Specified by:
  `optimize` in class `Expression`
Parameters:
  `session` - the session
Returns:
  the optimized expression

#### getName

    public java.lang.String getName()

Description copied from interface: `NamedExpression`
Get the name.

Returns:
  the name in uppercase